# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/nxp,s32g-ocotp-nvmem.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP S32G OCOTP NVMEM driver

maintainers:
  - Ciprian Costea <ciprianmarian.costea@nxp.com>

description:
  The drivers provides an interface to access One Time
  Programmable memory pages, such as TMU fuse values.

properties:
  compatible:
    oneOf:
      - enum:
          - nxp,s32g2-ocotp
      - items:
          - enum:
              - nxp,s32g3-ocotp
              - nxp,s32r45-ocotp
          - const: nxp,s32g2-ocotp
  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

allOf:
  - $ref: nvmem.yaml#

examples:
  - |
    nvmem@400a4000 {
      compatible = "nxp,s32g2-ocotp";
      reg = <0x400a4000 0x400>;
      #address-cells = <1>;
      #size-cells = <1>;
    };
